package net.buildbox.pokeri.device_location;

import android.location.Criteria;
import android.location.Location;
import android.location.LocationListener;
import android.location.LocationManager;
import android.os.Bundle;
import android.app.Activity;
import android.view.Menu;
import android.widget.Toast;

public class MainActivity extends Activity
		implements LocationListener {

	private LocationManager mLocationManager = null;
	private String mProvider = "";
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		// Criteriaインスタンスの生成
		Criteria criteria = new Criteria();
		// 精度の指定
		criteria.setAccuracy(Criteria.ACCURACY_COARSE);
		// 電力消費の設定
		criteria.setPowerRequirement(Criteria.POWER_LOW);
				
		// ロケーションプロバイダの取得
		mLocationManager = (LocationManager) getSystemService(LOCATION_SERVICE);
		mProvider = mLocationManager.getBestProvider(criteria, true);
		
		// ロケーションプロバイダ名をトーストで表示
		Toast.makeText(this, "provider = " + mProvider, Toast.LENGTH_SHORT).show();
	}
	
	@Override
	protected void onResume() {
		super.onResume();
		
		// 位置情報の更新
		mLocationManager.requestLocationUpdates(mProvider, 0, 0, this);
	}
	
	@Override
	protected void onPause() {
		super.onPause();
		
		// 位置情報要求の解除
		mLocationManager.removeUpdates(this);
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

	@Override
	public void onLocationChanged(Location location) {
		// 緯度・経度の情報をToastで表示
		Toast.makeText(this,
				"Location: " + location.getLatitude() + ", " + location.getLongitude(),
				Toast.LENGTH_SHORT).show();
	}

	@Override
	public void onProviderEnabled(String provider) {}
	
	@Override
	public void onStatusChanged(String provider, int status, Bundle extras) {}
	
	@Override
	public void onProviderDisabled(String provider) {}
}
